
Figure - Bug #113269
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】进入视频小窗，播放视频时，小窗显示有明显白边
2022-10-28 16:07 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-28

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

Reproducibility: Every time Fixed Version: 2022-11-08

Test Type: IT Root cause: 由于videoActivity没有避让captionHeight，修改方式为当前activity的contentHeight的高度加上CaptionHeight

Description

【前提条件】

1、push一个视频到设备中

【测试步骤】

1、长按视频应用在出现的弹窗中选中小窗

2、在视频列表中选中一个视频进行播放

3、观察页面显示

【预期结果】

3、页面显示合理，无明显不适配现象（如图）

【实际结果】

3、小窗下方有明显白边（如图）

【复现率】

10/10

History

#1 - 2022-10-28 17:01 - CD TEST-方永红

测试内容补充：在图库小窗中播放视频也会出现同样的现象

#2 - 2022-11-02 14:32 - CDTS-TEST 周婷

- Subject changed from 【AF】【EVT】【小窗模式】进入视频小窗，播放视频时，小窗显示不合理 to 【AF】【EVT】【小窗模式】进入视频小窗，播放视

频时，小窗显示有明显白边

#3 - 2022-11-02 15:16 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#4 - 2022-11-07 12:40 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to DL FW-郝健

#5 - 2022-11-07 13:03 - DL FW-郝健
- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-08

- Root cause set to 由于videoActivity没有避让captionHeight，修改方式为当前activity的contentHeight的高度加上CaptionHeight

#6 - 2022-11-08 10:43 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Assignee changed from DL FW-郝健 to CD TEST-方永红

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

11.8 播放视频时，视频和图库小窗均无白边，验证通过

#7 - 2022-11-08 10:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160536 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jian.hao@thundersoft.com

AF:Modify the white edge at the bottom of the video played in the small window1.Modify the size of activity layout contentChange-Id:

I7ac22e02e1720bfa22bb6b58cc64fda2114f5febTC-RID: 1201-0204601IssueID: TS-R-BUG-113269
